"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.showMsgPopUp = showMsgPopUp;
var _getSonarProperties = require("./sonar-dependencies/getSonarProperties");
var _path = _interopRequireDefault(require("path"));
function showMsgPopUp(condition) {
  // java -jar ./IDEMessagePluginRecent.jar project_name "BothStagedAndUnstaged"  server_url java_version_output
  const command = "java";
  const params = ["-jar", `${getPopupJarPath()}`, (0, _getSonarProperties.getProjectNameFrmGit)(), condition, "java version 11"];
  switch (condition) {
    case "NoIssueFound":
      (0, _getSonarProperties.getSpawnOutput)(command, params);
      break;
    case "IssueFound":
      (0, _getSonarProperties.getSpawnOutput)(command, params);
      break;
    case "BothStagedAndUnstaged":
      (0, _getSonarProperties.getSpawnOutput)(command, params);
      break;
    default:
      break;
  }
}
function getPopupJarPath() {
  return _path.default.resolve(__dirname, "sonar-dependencies", "java-jar", "IDEMessagePluginRecent.jar");
}