"use strict";

var _child_process = require("child_process");
var _logger = require("../utils/logger");
(function () {
  const pluginCommand = "npx ZDPrecommit setupPlugins";
  try {
    (0, _child_process.execSync)(pluginCommand, {
      cwd: process.cwd(),
      stdio: 'inherit'
    });
  } catch (err) {
    _logger.Logger.log(_logger.Logger.FAILURE_TYPE, `encountered issue while installing plugins`);
  }
})();